> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appcharge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Daily Bonus

> Deletes a daily bonus.

<RequestExample>
  ```bash Delete Daily Bonus theme={"system"}
  curl -X DELETE \
    'https://api.appcharge.com/v2/offer/daily-bonus-1' \
    -H 'Content-Type: application/json' \
    -H 'x-publisher-token: <x-publisher-token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Delete Daily Bonus theme={"system"}
  {
    "offerId": "223b4cc89711ac",
    "publisherOfferId": "daily-bonus-1",
    "name": "My Daily Bonus",
    "type": "PopUp",
    "subType": "DailyBonus",
    "displayName": "My Daily Bonus",
    "description": "This is my daily bonus description.",
    "type": "string",
    "active": true,
    "segments": [
      "New User"
    ],
    "offerUi": {
      "offerUiId": "68b41c4aa1c5b1a284737e9b",
      "active": true,
      "offerUiType": "PopUp",
      "offerUiSubType": "DailyBonus",
      "name": "popup",
      "description": "description",
      "backgroundImage": "https://media.appcharge.com/media/75cb7861ec8924a63338-5790-47c8-a6a0-23cb43db5883",
      "buttonSuffixImage": "",
      "buttonSuffixAnimation": "",
      "specialOffer": {
        "templateType": "Single",
        "presentOfferEndTimer": false,
        "title": "jrwtnip",
        "fontSize": 620,
        "fontWeight": "normal",
        "fontColor": {
          "colorOne": "#ffffff"
        },
        "subTitle": {
          "text": "",
          "fontSize": 16,
          "fontWeight": "normal",
          "fontColor": {
            "colorOne": "#ffffff"
          }
        },
        "backgroundColor": {
          "colorOne": "#CACBD4"
        }
      },
      "borderColor": {
        "colorOne": "#e70d0d",
        "colorTwo": "",
        "direction": ""
      },
      "borderWidth": 10,
      "externalId": "popup"
    },
    "productsSequence": [
      {
        "index": 1,
        "products": [
          {
            "product": {
              "publisherProductId": "TreasureChest",
              "name": "Treasure Chest",
              "type": "Quantity",
              "prefix": "$",
              "suffix": "M",
              "priority": "Main",
              "images": [
                {
                  "type": "product",
                  "url": "https://media.appcharge.com/media/35nb7861ec9924a6b69a0fe59/2208472.png"
                },
                {
                  "type": "productPrefix",
                  "url": ""
                }
              ],
              "displayName": "Treasure Chest"
            }
          }
        ]
      }
    ],
    "badges": [
      {
        "publisherBadgeId": "22ac77ff889b"
      }
    ],
    "productSale": {
      "type": "percentage",
      "sale": 10
    },
    "priceDiscount": {
      "type": "percentage",
      "discount": 10
    },
    "createdAt": "2025-04-06T10:00:44.528Z",
    "updatedAt": "2025-04-06T10:00:44.528Z"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi-daily-bonus.json DELETE /v2/offer/{publisherOfferId}
openapi: 3.0.1
info:
  title: Daily Bonus Offer API
  description: API for managing Daily Bonus Offers.
  version: '1.0'
servers:
  - url: https://api-sandbox.appcharge.com
security: []
paths:
  /v2/offer/{publisherOfferId}:
    delete:
      tags:
        - Daily Bonuses
      summary: Delete Daily Bonus
      description: Deletes a daily bonus.
      operationId: deleteDailyBonus
      parameters:
        - name: publisherOfferId
          description: >-
            The offer ID provided by the publisher. This is the offer's
            **External ID** value in the Publisher Dashboard.
          required: true
          in: path
          schema:
            type: string
            example: daily-bonus-1
        - name: x-publisher-token
          required: true
          in: header
          description: The publisher token
          schema:
            type: string
      responses:
        '200':
          description: Deleted offer.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DailyBonusOfferDtoResponse'
        '401':
          description: Not Authorized
components:
  schemas:
    DailyBonusOfferDtoResponse:
      type: object
      properties:
        publisherId:
          type: string
          description: Publisher ID.
        offerId:
          type: string
          description: The unique identifier of the daily bonus.
        publisherOfferId:
          type: string
          description: >-
            The daily bonus offer ID provided by the publisher. This is the
            offer's **External ID** value in the Publisher Dashboard.
        name:
          type: string
          description: The name of the daily bonus.
        displayName:
          type: string
          description: >-
            The display name of the daily bonus. If not provided, the name will
            be used.
        description:
          type: string
          description: The description of the daily bonus (conditionally returned)
        type:
          type: string
          description: The type of offer.
        subtype:
          type: string
          description: The subType of the offer - In this case 'DailyBonus'.
        active:
          type: boolean
          description: Whether the daily bonus is active.
        segments:
          type: array
          description: >-
            List of player segments that this daily bonus applies to (e.g.,
            ["NewUser", "BigSpender"]). This is empty by default.
          items:
            type: string
        offerUi:
          type: object
          description: UI configuration for the daily bonus.
          properties:
            offerUiId:
              type: string
              description: >-
                The ID of the daily bonus design, as displayed in the Publisher
                Dashboard.
            externalId:
              type: string
              description: >-
                The SKU of the daily bonus design, as defined in the Publisher
                Dashboard.
            active:
              type: boolean
              description: Whether the daily bonus design is active.
            offerUiType:
              type: string
              description: The type of offer design. In this case, ‘daily bonus’.
            name:
              type: string
              description: >-
                The name of the daily bonus design, as defined in the Publisher
                Dashboard.
            description:
              type: string
              description: >-
                The description of the daily bonus design, as defined in the
                Publisher Dashboard.
            backgroundImage:
              type: string
              description: >-
                The background image of the daily bonus design, as defined in
                the Publisher Dashboard.
            specialOffer:
              type: object
              description: Details on the daily bonus template and design.
              properties:
                templateType:
                  type: string
                  description: The template type, as configured in the Publisher Dashboard.
                title:
                  type: string
                  description: >-
                    The title of the daily bonus, as configured in the Publisher
                    Dashboard.
                fontSize:
                  type: number
                  description: >-
                    The font size of the daily bonus title, as configured in the
                    Publisher Dashboard.
                fontWeight:
                  type: string
                  description: >-
                    The font weight of the daily bonus title, as configured in
                    the Publisher Dashboard.
                fontColor:
                  type: object
                  description: >-
                    Details on the font color of the daily bonus title as
                    configured in the Publisher Dashboard. If the font color is
                    set to linear, both 'colorOne' and 'colorTwo' will be
                    returned. 'colorThree' may also be returned, if configured.
                  properties:
                    colorOne:
                      type: string
                      description: The font color of the daily bonus title.
                    colorTwo:
                      type: string
                      description: >-
                        The second font color of the daily bonus title. Relevant
                        only if the font color is set to linear.
                    colorThree:
                      type: string
                      description: >-
                        The third font color of the daily bonus title. Relevant
                        only if the font color is set to linear.
                backgroundColor:
                  type: object
                  description: >-
                    Details on the background color of the daily bonus title as
                    configured in the Publisher Dashboard. If the background
                    color is set to linear, the direction will be returned along
                    with ‘colorOne’ and ‘colorTwo’.
                  properties:
                    colorOne:
                      type: string
                      description: The background color of the daily bonus title.
                    colorTwo:
                      type: string
                      description: >-
                        The second background color of the daily bonus title.
                        Relevant only if the background color is set to linear.
                    direction:
                      type: string
                      description: >-
                        The direction of the linear gradient. Relevant only if
                        the background color is set to linear.
        productsSequence:
          type: array
          description: A sequence of products in the daily bonus.
          items:
            type: object
            properties:
              index:
                type: integer
                description: The order of the product in the daily bonus.
              products:
                type: array
                description: List of products in the daily bonus.
                items:
                  type: object
                  properties:
                    publisherProductId:
                      type: string
                      description: The unique ID of the product.
                    quantity:
                      type: integer
                      description: The quantity of the product in the daily bonus offer.
                    priority:
                      type: string
                      description: >-
                        Specifies the display priority of a product within the
                        daily bonus. Either `Main` or `Sub`.
              priceInUsdCents:
                type: integer
                description: >-
                  The price of the product in cents. The value must be either 0
                  (free), or by minimum 80 cents.
              badges:
                type: array
                description: List of badges associated with the daily bonus.
                items:
                  type: object
                  properties:
                    publisherBadgeId:
                      type: string
                      description: The ID as configured in the dashboard.
        createdAt:
          type: string
          description: Date the daily bonus was created.
          format: date-time
        updatedAt:
          type: string
          description: Date the daily bonus was updated.
          format: date-time

````